<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Super_admin_student extends TT_admin_login {

    public function __construct() {
        parent::__construct();
    }

    public function current_student() {
        $data = array();
        $data['active_menu'] = 'student_management';
        $data['active_sub_menu'] = 'current-student';
        $data['main_content'] = $this->load->view('admin/student_management/student_management', $data, true);
        $this->load->view('admin/admin_master', $data);
    }

    public function classroom_student() {
        $data = array();
        $data['active_menu'] = 'student_management';
        $data['active_sub_menu'] = 'classroom_student';
        $data['main_content'] = $this->load->view('admin/student_management/student_management', $data, true);
        $this->load->view('admin/admin_master', $data);
    }

    public function video_training_student() {
        $data = array();
        $data['active_menu'] = 'student_management';
        $data['active_sub_menu'] = 'video_training_student';
        $data['main_content'] = $this->load->view('admin/student_management/student_management', $data, true);
        $this->load->view('admin/admin_master', $data);
    }

    public function assign_course() {
        $data = array();
        $data['user_role'] = '';
        $sdata['active_manu'] = 'student_management';
        $sdata['active_sub_manu'] = 'current-student';
        $this->session->set_userdata($sdata);
        $data['main_content'] = $this->load->view('admin/student_management/assign_course', $data, true);
        $this->load->view('admin/admin_master', $data);
    }

    public function edit_assign_course() {
        $data = array();
        $data['user_role'] = '';
        $sdata['active_manu'] = 'student_management';
        $sdata['active_sub_manu'] = 'current-student';
        $this->session->set_userdata($sdata);
        $data['main_content'] = $this->load->view('admin/student_management/edit_assign_course', $data, true);
        $this->load->view('admin/admin_master', $data);
    }

    public function student_payment_details() {
        $data = array();
        $data['user_role'] = '';
        $sdata['active_manu'] = 'student_management';
        $sdata['active_sub_manu'] = 'current-student';
        $this->session->set_userdata($sdata);
        $data['main_content'] = $this->load->view('admin/student_management/student_payment_details', $data, true);
        $this->load->view('admin/admin_master', $data);
    }

    public function student_total_payment_details() {
        $data = array();
        $data['user_role'] = '';
        $sdata['active_manu'] = 'student_management';
        $sdata['active_sub_manu'] = 'current-student';
        $this->session->set_userdata($sdata);
        $data['main_content'] = $this->load->view('admin/student_management/student_total_payment_details', $data, true);
        $this->load->view('admin/admin_master', $data);
    }

    public function student_pay_payment() {
        $data = array();
        $data['user_role'] = '';
        $sdata['active_manu'] = 'student_management';
        $sdata['active_sub_manu'] = 'current-student';
        $this->session->set_userdata($sdata);
        $data['active_payment'] = 'student_management';
        $data['main_content'] = $this->load->view('admin/student_management/assign_course', $data, true);
        $this->load->view('admin/admin_master', $data);
    }

}
